var confirm_delete_options = {
	title: "Etes-vous sur ?",
	text: "Cet enregistrement sera effacé.",
	type: "warning",
	showCancelButton: true,
	confirmButtonClass: "btn-danger",
	confirmButtonText: "Oui !",
	cancelButtonText: "Annuler"
};

function confirm_delete(id, route,callback) {
	console.log(route);
	Swal.fire(confirm_delete_options).then(function(result) {
		if (result.value) {
			$.ajax({
				url : route,
				method : 'DELETE',
				data: {id:id},
				success : function(resp){
					if (resp.success) {
						console.log(resp);
						callback();
						Swal.fire("Supprimé !", "L'enregistrement a été supprimé.", "success");
					} else {
						Swal.fire("Erreur!", "L'enregistrement n'a pu être supprimé pour les raisons suivantes : "+resp.message, "danger");
						if(resp.code == 401){
							location.reload();
						}
					}
				}
			});
		} else if (result.dismiss === Swal.DismissReason.cancel) {

		}
	})
}

function confirm(route,options,callback) {
	var confirm_options = {
		title: options.title,
		text: options.text,
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Oui !",
		cancelButtonText: "Annuler",
		success: options.success ? options.success : "L'enregistrement a été supprimé.",
		notsuccess: options.notsuccess ? options.notsuccess : "L'enregistrement n'a pu être supprimé pour les raisons suivantes : "
	};

	console.log(route);
	Swal.fire(confirm_options).then(function(result) {
		if (result.value) {
			$.ajax({
				url : route,
				method : 'GET',
				success : function(resp){
					if (resp.success) {
						console.log(resp);
						callback();
						Swal.fire("Supprimé !", confirm_options.success, "success");
					} else {
						Swal.fire("Erreur!", confirm_options.notsuccess + resp.message, "danger");
						if(resp.code == 401){
							location.reload();
						}
					}
				}
			});
		} else if (result.dismiss === Swal.DismissReason.cancel) {

		}
	})
}

